
D4Science Infrastructure - VM Creation #9967

WM with JDWP

Oct 17, 2017 04:06 AM - Anonymous

Status: Closed Start date: Oct 17, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: PreProd Infrastructure   

Infrastructure: Development Applications list and

version:

 

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: Use latest released PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/devNext/NextNext

/gube

  

Description

I need a Smartgears hosting node enabled for remote debugging with JDWP.

History

#1 - Oct 17, 2017 06:10 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20

ne VM name is manuele-dev.d4science.org

#2 - Oct 17, 2017 08:22 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The VM has been provisioned.

You have access as gcube user. Into the user's home directory you'll find the scripts startContainer.sh and stopContainer.sh that you can use to

correctly start/stop tomcat.

The smartgears files are under SmartGears, the tomcat files are installed under tomcat and both the tomcat and smartgears logs live in tomcat/logs.

The debug port is 8100.

Both the smartgears and the debug port are open to the network 72.227.0.0/16

tomcat is also exposed by a nginx reverse proxy that has no access restrictions, both on http and https, let me know if we need to close them

A valid ssl certificate will be emitted in the next days.

#3 - Oct 17, 2017 08:31 PM - Anonymous

Thanks. What is the name of the machine?

#4 - Oct 17, 2017 10:08 PM - Andrea Dell'Amico

It's manuele-dev.d4science.org

#5 - Oct 19, 2017 03:06 AM - Anonymous
I can confirm that I'm able to log in the machine. The Smartgears container's configuration looks good. Thanks.

#6 - Oct 19, 2017 03:09 AM - Anonymous

- Status changed from Feedback to Closed
